Operations (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class Operations

- java.lang.Object
- - org.apache.cassandra.cql3.Operations

- All Implemented Interfaces:
    java.lang.Iterable<Operation>

      public final class Operations
      extends java.lang.Object
      implements java.lang.Iterable<Operation>

  A set of `Operation`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operations(StatementType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Operation operation)` Adds the specified `Operation` to this set of operations.
    `void` | `addFunctionsTo(java.util.List<Function> functions)`
    `boolean` | `appliesToRegularColumns()` Checks if some of the operations apply to regular columns.
    `boolean` | `appliesToStaticColumns()` Checks if some of the operations apply to static columns.
    `boolean` | `isEmpty()` Checks if this `Operations` is empty.
    `java.util.Iterator<Operation>` | `iterator()`
    `java.util.List<Operation>` | `regularOperations()` Returns the operation on regular columns.
    `boolean` | `requiresRead()` Checks if one of the operations requires a read.
    `java.util.List<Operation>` | `staticOperations()` Returns the operation on static columns.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### Operations

          public Operations(StatementType type)

  - ### Method Detail

    - #### appliesToStaticColumns

          public boolean appliesToStaticColumns()

      Checks if some of the operations apply to static columns.
      Returns:
        `true` if some of the operations apply to static columns, `false` otherwise.

    - #### appliesToRegularColumns

          public boolean appliesToRegularColumns()

      Checks if some of the operations apply to regular columns.
      Returns:
        `true` if some of the operations apply to regular columns, `false` otherwise.

    - #### regularOperations

          public java.util.List<Operation> regularOperations()

      Returns the operation on regular columns.
      Returns:
        the operation on regular columns

    - #### staticOperations

          public java.util.List<Operation> staticOperations()

      Returns the operation on static columns.
      Returns:
        the operation on static columns

    - #### add

          public void add(Operation operation)

      Adds the specified `Operation` to this set of operations.
      Parameters:
        `operation` - the operation to add

    - #### requiresRead

          public boolean requiresRead()

      Checks if one of the operations requires a read.
      Returns:
        `true` if one of the operations requires a read, `false` otherwise.

    - #### isEmpty

          public boolean isEmpty()

      Checks if this `Operations` is empty.
      Returns:
        `true` if this `Operations` is empty, `false` otherwise.

    - #### iterator

          public java.util.Iterator<Operation> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<Operation>`

    - #### addFunctionsTo

          public void addFunctionsTo(java.util.List<Function> functions)

Copyright © 2018 The Apache Software Foundation